#include <Servo.h> 
 
Servo servoLeft;          // Define left servo
Servo servoRight;         // Define right servo

const int soundPin = 2;
const int ledPin = 13;
volatile int state = LOW;
                 
void setup() { 
  Serial.begin(9600);
  pinMode(ledPin, OUTPUT);
  attachInterrupt(0, sounder, RISING);
  servoLeft.attach(10);    // Left servo on pin D9
  servoRight.attach(11);  // Right servo on pin D10
} 

void loop() {             // Loop through motion tests
  if (state) {
    botForward();         // Move forward
    delay(2000);          // Wait 2000 milliseconds (2 seconds)
    botReverse();         // Move backward
    delay(2000);
  } else {
    botStop();
  }
}

// Motion routines for forward, reverse, stop
void botForward() {
  servoLeft.write(180);
  servoRight.write(0); 
}

void botReverse() {
  servoLeft.write(0);
  servoRight.write(180);
}

void botStop() {
  servoLeft.write(90);
  servoRight.write(90);
}

void sounder() {
  state = !state;
  digitalWrite(ledPin, state);
  delayMicroseconds(1000);
}

